feldspar-compiler-0.4.0.2: Compiler for the Feldspar language

Feldspar.Compiler.Backend.C.Plugin.Locator

# Documentation

data GetPrgParLoop

Constructors

GetPrgParLoop |

Instances

Transformation GetPrgParLoop |
Plugin GetPrgParLoop |
Transformable GetPrgParLoop Program |

getPrgParLoop :: (Int, Int) -> Module DebugToCSemanticInfo -> (Bool, Program DebugToCSemanticInfo)

data GetPrgAssign

Constructors

GetPrgAssign |

Instances

Transformation GetPrgAssign |
Plugin GetPrgAssign |
Transformable GetPrgAssign Program |

getPrgAssign :: (Int, Int) -> Module DebugToCSemanticInfo -> (Bool, Program DebugToCSemanticInfo)

data GetPrgBranch

Constructors

GetPrgBranch |

Instances

Transformation GetPrgBranch |
Plugin GetPrgBranch |
Transformable GetPrgBranch Program |

getPrgBranch :: (Int, Int) -> Module DebugToCSemanticInfo -> (Bool, Program DebugToCSemanticInfo)

data GetPrgSwitch

Constructors

GetPrgSwitch |

Instances

Transformation GetPrgSwitch |
Plugin GetPrgSwitch |
Transformable GetPrgSwitch Program |

getPrgSwitch :: (Int, Int) -> Module DebugToCSemanticInfo -> (Bool, Program DebugToCSemanticInfo)

prgSwList :: (Int, Int) -> [SwitchCase DebugToCSemanticInfo] -> (Bool, Program DebugToCSemanticInfo)

myShow :: Program DebugToCSemanticInfo -> String

myShowB :: Block DebugToCSemanticInfo -> String